package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.uc.AliPayEntity

class CardDetailContract {
    interface View {

        fun requestOrderSuc(result: AliPayEntity)

        fun requestOrderFail(errorMsg: String)

        fun verifyOrderSuc(order: String)

        fun verifyOrderFail(errorMsg: String)
    }

    interface Presenter {
        fun requestRightsAliPay(goodsId: String, payType: String, phone: String,type:String,skill:Boolean?,outTradeNo:String?)

        fun verifyPay(order: String?, payType: Int)
    }
}